summaryrefslogtreecommitdiffstats
path: root/file_cmds/tests/chgrp.sh
diff options
context:
space:
mode:
authorCameron Katri <me@cameronkatri.com>2021-05-09 14:20:58 -0400
committerCameron Katri <me@cameronkatri.com>2021-05-09 14:20:58 -0400
commit5fd83771641d15c418f747bd343ba6738d3875f7 (patch)
tree5abf0f78f680d9837dbd93d4d4c3933bb7509599 /file_cmds/tests/chgrp.sh
downloadapple_cmds-5fd83771641d15c418f747bd343ba6738d3875f7.tar.gz
apple_cmds-5fd83771641d15c418f747bd343ba6738d3875f7.tar.zst
apple_cmds-5fd83771641d15c418f747bd343ba6738d3875f7.zip
Import macOS userland
adv_cmds-176 basic_cmds-55 bootstrap_cmds-116.100.1 developer_cmds-66 diskdev_cmds-667.40.1 doc_cmds-53.60.1 file_cmds-321.40.3 mail_cmds-35 misc_cmds-34 network_cmds-606.40.1 patch_cmds-17 remote_cmds-63 shell_cmds-216.60.1 system_cmds-880.60.2 text_cmds-106
Diffstat (limited to 'file_cmds/tests/chgrp.sh')
-rw-r--r--file_cmds/tests/chgrp.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/file_cmds/tests/chgrp.sh b/file_cmds/tests/chgrp.sh
new file mode 100644
index 0000000..503fbf1
--- /dev/null
+++ b/file_cmds/tests/chgrp.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+GROUPID=31337
+
+dscl /Local/Default -read /Groups/$GROUPID > /dev/null 2>&1
+if [ $? != "0" ]; then
+ dscl /Local/Default -create /Groups/$GROUPID
+ dscl /Local/Default -create /Groups/$GROUPID PrimaryGroupID 9999
+fi
+
+mkdir /tmp/$$
+chgrp $GROUPID /tmp/$$
+gid=`/usr/bin/stat -f '%g' /tmp/$$`
+if [ "$gid" != "9999" ]; then
+ echo "chgrp $GROUPID, expected group 9999, is $gid"
+ exit 1
+fi
+
+chgrp -n $GROUPID /tmp/$$
+gid=`/usr/bin/stat -f '%g' /tmp/$$`
+if [ "$gid" != "$GROUPID" ]; then
+ echo "chgrp -n $GROUPID, expected group $GROUPID, is $gid"
+ exit 1
+fi
+
+exit 0